Subject: bug#39936: How To Resolve "LC_ALL: cannot change locale (en_US.utf8)"

From: Leo Famulari <[email-masked]>
Date: Wed, 11 Mar 2020 15:05:39 -0400

On Thu, Mar 05, 2020 at 08:53:52PM +0000, David Philipe Gil via Bug reports for GNU Guix wrote:
> System: Ubuntu 18.04
> Guix: 1.0.1
> 
> Whenever I "guix pull" I see the error "LC_ALL: cannot change locale (en_US.utf8)". I installed "glibc_utf8_locales" and it seems to have had no effect.
> 
> In my .profile I am pointing to "/home/username/.guix-profile/lib/locale". Am I missing something?
> 
> I have entered "hash guix" as well with no effect.

Is this on the Guix System, or another distro?

Did you check the instructions in the manual section 2.6.1 Locales?

It's likely this error is coming from the guix-daemon, so you'll need to
make sure that GUIX_LOCPATH is set in the environment where the
guix-daemon starts.

On most distros this happens in the systemd unit file with something
like this line in the Service section:

Environment=GUIX_LOCPATH=/var/guix/profiles/per-user/root/guix-profile/lib/locale